Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 933405 - media-libs/aubio-0.4.9-r3 fails to compile with dev-lang/python-exec[-native-symlinks]
Summary: media-libs/aubio-0.4.9-r3 fails to compile with dev-lang/python-exec[-native-...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 762406
  Show dependency tree
 
Reported: 2024-06-02 09:59 UTC by Agostino Sarubbo
Modified: 2024-06-25 02:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,44.34 KB, text/plain)
2024-06-02 09:59 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-06-02 09:59:09 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: media-libs/aubio-0.4.9-r3 fails to compile with dev-lang/python-exec[-native-symlinks].
Discovered on: amd64 (internal ref: ci)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0035
Comment 1 Agostino Sarubbo gentoo-dev 2024-06-02 09:59:10 UTC
CC'ing also the author of the commit (8cf655f807ec6425decf5c1ff1933b770ca104ff)
Comment 2 Agostino Sarubbo gentoo-dev 2024-06-02 09:59:11 UTC
Created attachment 894935 [details]
build.log

build log and emerge --info
Comment 3 Agostino Sarubbo gentoo-dev 2024-06-02 09:59:12 UTC
Error(s) that match a know pattern:


./scripts/get_waf.sh: line 42: python: command not found
Comment 4 Larry the Git Cow gentoo-dev 2024-06-25 02:09:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=765cbe9e259d277abfaa186a9d5cb2d7725b211a

commit 765cbe9e259d277abfaa186a9d5cb2d7725b211a
Author:     Aliaksei Urbanski <aliaksei.urbanski@gmail.com>
AuthorDate: 2024-06-19 00:59:28 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-06-25 02:08:49 +0000

    media-libs/aubio: revbump to 0.4.9-r4
    
    These changes fix:
      - compile with python-exec[-native-symlinks]
      - GCC 14 compatibility
      - NumPy 2 compatibility
      - documentation issues:
        * partially missing docs on the first install
        * duplicated docs on reinstalls
      - missing blas USE flag
      - missing pytest dependency
    
    [sam: Drop the changes to -r2.]
    
    Closes: https://bugs.gentoo.org/933405
    Closes: https://bugs.gentoo.org/925102
    Bug: https://bugs.gentoo.org/589262
    Signed-off-by: Aliaksei Urbanski <aliaksei.urbanski@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/36988
    Signed-off-by: Sam James <sam@gentoo.org>

 ...aubio-0.4.9-r3.ebuild => aubio-0.4.9-r4.ebuild} | 32 +++++++++++++------
 media-libs/aubio/files/aubio-0.4.9-gcc-14.patch    | 37 ++++++++++++++++++++++
 media-libs/aubio/files/aubio-0.4.9-numpy-2.patch   | 13 ++++++++
 3 files changed, 72 insertions(+), 10 deletions(-)